<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetRevokeUserID Method (IEdmBatchChangeState3)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchChangeState3 Interface : SetRevokeUserID Method (IEdmBatchChangeState3)

Visual Basic
C#
C++/CLI

lUserID
  ID of user allowed to revoke state transitions of files

Sets the ID of the user allowed to revoke state transitions of files in this batch.

# Syntax

Visual Basic |
--- | ---

    Sub SetRevokeUserID( _
       ByVal lUserID As System.Integer _
    )

C# |
--- | ---

    void SetRevokeUserID(
       System.int lUserID
    )

C++/CLI |
--- | ---

    void SetRevokeUserID(
    &   System.int lUserID
    )

#### Parameters

lUserID
  ID of user allowed to revoke state transitions of files

# Example

See the IEdmBatchChangeState3 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchChangeState3 Interface
IEdmBatchChangeState3 Members

# Availability

SOLIDWORKS PDM Professional 2013